View Issue Details

IDProjectCategoryView StatusLast Update
0000977FreeCADBugpublic2015-01-02 14:12
ReporterjdbrandmeyerAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.15 
Summary0000977: Slow performance when transforming a pattern
DescriptionIn the attached file, right-click the PolarPattern and select Transform.
Without even moving the object, select Finish Editing.
Wait several minutes for the program to come back to you.
Additional InformationHost is Windows 7 64-bit. Application is 32-bit.
OS: Windows 7
Platform: 32-bit
Version: 0.13.1828
Python version: 2.6.2
Qt version: 4.5.2
Coin version: 3.1.0
SoQt version: 1.4.1
OCC version: 6.3.0
TagsNo tags attached.

Relationships

related to 0000974 closed Lock-up during Polar Pattern transformation 

Activities

2013-02-05 04:00

 

statorfull.FCStd (Attachment missing)

jrheinlaender

2013-02-21 06:12

developer   ~0002933

Last edited: 2013-02-21 13:18

Slow booleans are a well-known weakness of the OpenCascade kernel which FreeCad uses. See for example:

http://forum.freecadweb.org/viewtopic.php?f=10&t=3100

http://groups.google.com/forum/#!searchin/oce-dev/boolean/oce-dev/l8xb2g8gvmw/81RqObegCaMJ

And here is a discussion on why a recompute is performed whenever you close a dialog (item 3. in my initial post):

http://forum.freecadweb.org/viewtopic.php?f=10&t=2898&p=22258&hilit=unnecessary+execute#p22258

wmayer

2015-01-02 14:11

administrator   ~0005484

Confirmed for 0.13 but is much faster with 0.15.

OS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.15.4386 (Git)
Branch: master
Hash: c4fb8fc8ae753c20714eb944527fb5f963969b2f
Python version: 2.7.6
Qt version: 4.8.5
Coin version: 4.0.0a
OCC version: 6.6.0

Issue History

Date Modified Username Field Change
2013-02-05 04:00 jdbrandmeyer New Issue
2013-02-05 04:00 jdbrandmeyer File Added: statorfull.FCStd
2013-02-21 06:12 jrheinlaender Note Added: 0002933
2013-02-21 06:13 jrheinlaender Relationship added parent of 0000974
2013-02-21 13:18 jrheinlaender Note Edited: 0002933
2015-01-02 14:09 wmayer Relationship deleted parent of 0000974
2015-01-02 14:10 wmayer Relationship added related to 0000974
2015-01-02 14:11 wmayer Note Added: 0005484
2015-01-02 14:12 wmayer Status new => closed
2015-01-02 14:12 wmayer Resolution open => fixed
2015-01-02 14:12 wmayer Fixed in Version => 0.15